Patch package OTP 19.3.5 released

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Patch package OTP 19.3.5 released

Lars Thorsen-4

Patch Package:           OTP 19.3.5
Git Tag:                 OTP-19.3.5
Date:                    2017-06-05
Trouble Report Id:       OTP-14418, OTP-14430
Seq num:                
System:                  OTP
Release:                 19
Application:             erts-8.3.4, xmerl-1.3.14
Predecessor:             OTP 19.3.4

 Check out the git tag OTP-19.3.5, and build a full OTP system
 including documentation. Apply one or more applications from this
 build as patches to your installation using the 'otp_patch_apply'
 tool. For information on install requirements, see descriptions for
 each application version below.

 ---------------------------------------------------------------------
 --- erts-8.3.4 ------------------------------------------------------
 ---------------------------------------------------------------------

 Note! The erts-8.3.4 application can *not* be applied independently
       of other applications on an arbitrary OTP 19 installation.

       On a full OTP 19 installation, also the following runtime
       dependency has to be satisfied:
       -- sasl-3.0.1 (first satisfied in OTP 19.1)


 --- Fixed Bugs and Malfunctions ---

  OTP-14418    Application(s): erts
               Related Id(s): ERIERL-15

               Add option to make SIGTERM trigger the OS default
               behaviour instead of doing a gracefull shutdown. To
               activate this bahviour the environment variable
               ERL_ZZ_SIGTERM_KILL should be set to "true". This
               option only works in OTP 19 as OTP 20 will have a
               different way to deal with SIGTERM.


 Full runtime dependencies of erts-8.3.4: kernel-5.0, sasl-3.0.1,
 stdlib-3.0


 ---------------------------------------------------------------------
 --- xmerl-1.3.14 ----------------------------------------------------
 ---------------------------------------------------------------------

 The xmerl-1.3.14 application can be applied independently of other
 applications on a full OTP 19 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-14430    Application(s): xmerl

               A couple of bugs are fixed in the sax parser
               (xmerl_sax_parser).

               -- The continuation function was not called correctly
               when the XML directive was fragmented.

               -- When the event callback modules (xmerl_sax_old_dom
               and xmerl_sax_simple) got an endDocument event at
               certain conditions the parser crashed.

               -- Replaced internal ets table with map to avoid table
               leakage.


 Full runtime dependencies of xmerl-1.3.14: erts-6.0, kernel-3.0,
 stdlib-2.5


 ---------------------------------------------------------------------
 ---------------------------------------------------------------------
 ---------------------------------------------------------------------



_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions